# Array Sort 
Basic array sort using underscore.js, require underscore

## Dependencies (no need to install mannually)
This package depends upon underscore@1.8.3
```
npm i underscore@1.8.3 --save
```
install types @types/underscore@1.8.3 if you are using typescript
```
npm i @types/underscore@1.8.3 --save-dev
```
## Installation
Use the node package manager [npm](https://www.npmjs.com/package/@justbe-utilities/array-sort) to install @justbe-utilities/array-sort.
```bash
npm install @justbe-utilities/array-sort --save
```
## Usage
```typescript
...
import { ArraySortClass } from '@justbe-utilities/array-sort'
...
constructor(){
    let sortedArray = ArraySortClass.sort(this.recentLocations, 'cO', 'desc');
    //argument1 => array to be sorted
    //argument2 => key on which you want to sort
    //argument3 => order in which you want to sort array
        //supported orders => 'desc' | 'asc'
        //by default => 'asc'
}
```
### Example
```typescript
...
let array = [
    {cO:1},
    {cO:5},
    {cO:3},
    {cO:6},
];
let sortedArray = ArraySortClass.sort(array, 'cO', 'desc');
console.log(sortedArray);
// output
// {cO:6},
// {cO:5},
// {cO:3},
// {cO:1},

let sortedArray = ArraySortClass.sort(array, 'cO', 'asc');
console.log(sortedArray);
// output
// {cO:1},
// {cO:3},
// {cO:5},
// {cO:6},
...
```

## License
[MIT](https://choosealicense.com/licenses/mit/)
